/*jshint browser:true */
/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    var image = document.getElementById('showPhoto');
    var faceData;
    var kairos = new Kairos("", ""); //need to change values according to your Kairos API values
     
    function onCameraSuccess(imageData) {
        image.src = "data:image/jpeg;base64," + imageData;
        faceData =imageData;
    }

    function onCameraFail(message) {
        alert('Failed to take photo because: ' + message);
    }
    
    $(document).on("click", "#takePhoto", function(evt){
        navigator.camera.getPicture(onCameraSuccess, onCameraFail, { quality: 50, cameraDirection:Camera.Direction.FRONT, destinationType: Camera.DestinationType.DATA_URL });
    });
    
    $(document).on("click", "#enroll", function(evt){
        var gallery_name =$('#gallery_name').val();
        var subject_id =$('#subject_id').val();
        
        if(faceData && gallery_name && subject_id){
            $('#responseData').text('Please wait trying to enroll face...');
            //YOUR CODE GOES HERE
        } else {
            alert('Please type a name for the face and a gallery name to place it');
        }
    });
     
    $(document).on("click", "#recognize", function(evt){
        var gallery_name =$('#gallery_name').val();
        
        if(faceData && gallery_name ){
            $('#responseData').text('Please wait trying to recognize...');
            //YOUR CODE GOES HERE
        } else {
            alert('Please type a gallery name');
        }
    });
    //Kairos API related functions
    function kairosCallback(response){
        //Just show all the reponse in the TextBox
        $('#responseData').text(response.responseText);
        //Process the response for user-friendly message
        var objImages = jQuery.parseJSON(response.responseText);
        if(objImages.images[0].transaction.status =='success'){
            var with2Decimals = objImages.images[0].transaction.confidence.toString().match(/^-?\d+(?:\.\d{0,2})?/)[0];
            alert('Face was recognized as: ' + objImages.images[0].transaction.subject_id + ' with ' + with2Decimals.slice(-2) + '% confidence' );
        } else {
            alert('Could not recognize face in photo');
        }
    }
    
 }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
